libperformance0.5_0.5.0-1build1_i386.deb


Advertisement

Description

libperformance0.5 - GNUstep performance library (runtime library)

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libperformance0.5
Package version 0.5.0
Package release 1build1
Package architecture i386
Package type deb
Installed size 158 B
Download size 46.38 KB
Official Mirror archive.ubuntu.com
The GNUstep performace library implements various classes intended to
be used in high-performance libraries and applications.  Available
are classes for caching objects in memory for rapid access, managing
FIFO queues, thread pools for performing methods which need to make
use of a runloop for I/O and/or timers, for objects in parallel in
other threads, linked list functionality, timing information,
statistics about the number of events or the duration of operations,
uniqued objects and more.
This package contains the shared library.

Alternatives

Package Version Architecture Repository
libperformance0.5_0.5.0-1build1_amd64.deb 0.5.0 amd64 Ubuntu Universe
libperformance0.5 - - -

Requires

Name Value
gnustep-base-runtime >= 1.25.0
libc6 >= 2.4
libgcc1 >= 1:3.0
libgnustep-base1.25 >= 1.25.0
libobjc4 >= 4.6

Download

Type URL
Binary Package libperformance0.5_0.5.0-1build1_i386.deb
Source Package gnustep-performance

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libperformance0.5 deb package:
    # sudo apt-get install libperformance0.5

Files

Path
/usr/lib/libPerformance.so.0.5
/usr/lib/libPerformance.so.0.5.0
/usr/share/doc/libperformance0.5/changelog.Debian.gz
/usr/share/doc/libperformance0.5/copyright

Changelog

2017-11-07 - Matthias Klose <doko@ubuntu.com>
gnustep-performance (0.5.0-1build1) bionic; urgency=medium
* No-change rebuild for gnustep-base soname change.
2014-07-11 - Yavor Doganov <yavor@gnu.org>
gnustep-performance (0.5.0-1) unstable; urgency=low
* Initial release (Closes: #753092).

See Also

Package Description
libperinci-cmdline-perl_1.77-1_all.deb Rinci/Riap-based command-line application framework
libperinci-object-perl_0.30-1_all.deb module that provides a object-oriented interface for Rinci
libperinci-sub-normalize-perl_0.19-1_all.deb Perl module to normalize Rinci function metadata
libperinci-sub-util-perl_0.46-1_all.deb Perl module that is a helper to write functions
libperinci-sub-util-propertymodule-perl_0.46-1_all.deb module to detect which property modules are used with Perinci
libperl-apireference-perl_0.22-7_all.deb Perl module to programmatically query the perlapi
libperl-critic-perl_1.130-1_all.deb Perl module to critique code for best practices
libperl-destruct-level-perl_0.02-2build4_i386.deb Perl module to change Perl's destruction level
libperl-metrics-simple-perl_0.18-1_all.deb module to provide metrics of Perl code
libperl-minimumversion-perl_1.38-1_all.deb module to determine minimum required version of perl required
libperl-osnames-perl_0.11-1_all.deb Perl module to list possible $^O ($OSNAME) values with description
libperl-prereqscanner-perl_1.023-1_all.deb module for extracting prerequisites from Perl code
libperl-version-perl_1.013-1_all.deb module to parse and manipulate Perl version strings
libperl4-corelibs-perl_0.004-1_all.deb libraries historically supplied with Perl 4
libperl4caml-ocaml-dev_0.9.5-5build2_i386.deb Use Perl code in OCaml programs, development files
Advertisement
Advertisement